<div ng-show="VM.question"
     class="card-pane flex flex-layout-v"
>
    <div class="card-header card-header-main card-header-no-separator mood-{{VM.mood}}">
        <div class="title">
            <h2>{{VM.question.titulo}}</h2>
            <div class="id"
                 ng-if="!VM.isNew"
            ><i class="fa fa-key" title="Id"></i>&nbsp;{{VM.question.id}}</div>
        </div>
        <div class="info">
            <div class="statuses">
                <span ng-if="VM.isNew"
                      class="status-label color-new"
                ><i class="fa fa-exclamation"></i> {{'NEWF'|translate}}</span>
                <span ng-if="VM.isDirty"
                      class="status-label color-dirty"
                ><i class="fa fa-pencil"></i> {{'DIRTYF'|translate}}</span>
                <span ng-if="VM.question.disponible && !VM.isDirty"
                      class="status-label color-resolved"
                ><i class="fa fa-check-circle"></i> {{'RESOLVED'|translate}}</span>
                <span ng-if="!VM.question.disponible && !VM.isDirty && !VM.isNew"
                      class="status-label"
                ><i class="fa fa-circle-o color-unresolved"></i> {{'UNRESOLVED'|translate}}</span>
                <span ng-if="VM.question.bloqueada"
                      class="status-label"
                ><i class="fa fa-lock color-locked"></i> {{'LOCKEDF'|translate}}</span>
            </div>
            <!-- div class="info">
                <div ng-if="!VM.isNew"><i class="fa fa-key" title="Id"></i> {{VM.question.id}}</div>

                <div>
                    {{'DIFFICULTY'|translate}}: {{VM.getField('dificultad')}},
                    {{'CATEGORY'|translate}}: {{VM.getField('categoriaId')}},
                </div>

            </div-->
            <div class="actions">
                <div ng-if="!VM.isDirty && !VM.isNew"
                     class="buttons"
                >
                    <button type="button"
                            ng-if="VM.question.bloqueada"
                            ng-click="VM.lock(false)"
                            title="{{'UNLOCK'|translate}}"
                            class="btn btn-default btn-round-sm fa fa-unlock"
                    ></button>
                    <button type="button"
                            ng-if="!VM.question.bloqueada"
                            ng-click="VM.lock(true)"
                            title="{{'LOCK'|translate}}"
                            class="btn btn-default btn-round-sm fa fa-lock"
                    ></button>
                    <button type="button"
                            ng-click="VM.copyForNew()"
                            title="{{'COPY'|translate}}"
                            class="btn btn-default btn-round-sm fa fa-copy"
                    ></button>
                    <button type="button"
                            ng-click="VM.copyToDb()"
                            title="{{'COPYBD'|translate}}"
                            class="btn btn-default btn-round-sm fa fa-database"
                    ></button>
                    <button type="button"
                            ng-click="VM.generateList()"
                            title="{{'GENERATE_LIST'|translate}}"
                            class="btn btn-default btn-round-sm fa fa-stack-exchange"
                    ></button>
                    <button type="button"
                            ng-click="VM.remove()"
                            title="{{'DELETE'|translate}}"
                            class="btn btn-default btn-round-sm fa fa-trash"
                    ></button>
                            <!-- ui-sref="questionExecute({'id': VM.question.id})" -->
                    <!--
                    <button type="button"
                            ng-click="VM.goToExecutionPanel()"
                            class="btn btn-default btn-sm"
                    ><i class="glyphicon glyphicon-flash"></i> {{'EXECUTION_PANEL'|translate}}</button>
                    -->
                </div>
                <div ng-if="VM.isDirty"
                     class="buttons"
                >
                    <button type="button"
                            ng-click="VM.saveChanges()"
                            ng-disabled="VM.question.bloqueada"
                            class="btn btn-success btn-sm"
                    ><i class="fa fa-save"></i> {{'SAVE'|translate}}</button>
                    <button type="button"
                            ng-click="VM.revertChanges()"
                            class="btn btn-default btn-sm"
                    ><i class="fa fa-undo"></i> {{'CANCEL'|translate}}</button>
                </div>
            </div>
        </div>
        <!--
        <div class="my-tabs" style="">
            <ul ng-if="VM.question.id" class="nav nav-tabs">
                <li ng-class="{'active': VM.shouldShowSection('form')}">
                    <a ui-sref="questionForm({id: VM.question.id})" title="{{ 'QUESTION_DATA' | translate}}">
                        <i class="glyphicon glyphicon-info-sign"></i>
                    </a>
                </li>
                <li ng-class="{active: VM.shouldShowSection('execute'), disabled: VM.isDirty }">
                    <button type="button" ui-sref="questionExecute({'id': VM.question.id})" title="{{ 'EXECUTION_PANEL' | translate}}" ng-disabled="VM.isDirty">
                        <i class="glyphicon glyphicon-flash"></i>
                    </button>
                </li>
            </ul>
        </div>
        -->
    </div>

    <OUTLET ui-view="questionContentOutlet"
            autoscroll="false"
            class="flex flex-layout"
    ></OUTLET><!-- .question.form or .question.execute state-views are loaded in here :) -->

</div>